package jp.co.isid.elportal.fileconvert.command;

import java.io.File;

import jp.co.isid.elportal.fileconvert.service.convert.ArticleOrgTextVO;

/**
 * イメージファイルをPDFファイルに変換後、結合する為のデータを保持するクラスです。
 *
 *
 */
public class UnionCommandParameter {
    /** PDF変換元情報 **/
    private ArticleOrgTextVO _vo;
    /** PDFファイル **/
    private File _file;

    /**
     * コンストラクタ
     *
     * @param inputFiles 変換元ファイルデータ
     * @param outputFile 変換後ファイルデータ
     */
    public UnionCommandParameter(ArticleOrgTextVO inputFiles, File outputFile) {
        _vo = inputFiles;
        _file = outputFile;
    }

    /**
     * 変換元ファイルデータを取得します。
     *
     * @return 変換元ファイデータ
     */
    public ArticleOrgTextVO getInputFiles() {
        return _vo;
    }

    /**
     * 変換後ファイルデータを取得します。
     *
     * @return 変換後ファイデータ
     */
    public File getOutputFile() {
        return _file;
    }
}
