package jp.co.isid.elportal.fileconvert.consts;

/**
 * <p>定数定義クラス</p>
 *
 *
 */
public final class CommonConstants {

    /**
     * コンストラクター（private）
     */
    private CommonConstants() {

    }

    /**
     * <p>CIFS接続情報</p>
     *
     *
     */
    public enum CifsType {
        /** TIFF **/
        TIFF("tiff"),
        /** PDF **/
        PDF("pdf"),
        /** サムネイル **/
        THUMB("thumb"),
        /** TIFF(FFS) **/
        FFS_TIFF("ffs_tiff");

        /** 接続名 **/
        private String _name;

        /**
         * コンストラクター
         *
         * @param name 接続名
         */
        private CifsType(String name) {
            this._name = name;
        }

        /**
         * 接続名を返却します
         *
         * @return String 接続名
         */
        public String getName() {
            return this._name;
        }
    }
}