package jp.co.isid.elportal.fileconvert.core;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 変換を行う為のパラメータを保持するクラスです。
 *
 *
 */
@XmlRootElement(name = "fileconvertparam")
public class FileConvertParameterBean {

	/** 印刷可能時の印刷表題 **/
	private String _printSectionTitle = null;

	/** 印刷不可時の印刷表題 **/
	private String _nonPrintSectionTitle = null;

	//ヘッダーフォーマット
	//private String headMsg = null;

	//記事ヘッダーフォーマット（新聞）
	//private String articleNwspaperMsg = null;

	//記事ヘッダーフォーマット（雑誌）
	//private String articleMagazineMsg = null;

	/** 記事ヘッダーフォーマット **/
	private String _articleMsg = null;

    /** 記事ヘッダーフォーマット(MC) **/
    private String _articleMsgMc = null;

    /** フッター最大文字数 **/
    private String _footerMaxSize = null;

    /** フッター最大文字数（MC）**/
    private String _footerMaxSizeMc = null;

	/** ファイルの保存ディレクトリ **/
	private String _imageWorkDir = null;

	/** FFSのファイル（1年超過）保存ディレクトリ **/
	private String _cifsFileDir = null;

	/** ImageMagicの実行パス **/
	private String _imageMagicPath = null;

	/** quality **/
	private String _quality = null;

	/** geometry **/
	private String _geometry = null;

	/** jpegのquality **/
	private String _jpegQuality = null;

	/** jpegのgeometry **/
	private String _jpegGeometry = null;

	/** フォント名ゴシック **/
	private String _fontNameGothic = null;

	/** フォント名明朝 **/
	private String _fontNameMincho = null;

	/** 指定したファイルがなかった場合に挿入する空頁のパス **/
	private String _emptyPdfFilePath = null;

	//無断複製転載禁止文言
//	private String allRightsReservedNote = null;

	/** FFSからダウンロードしたファイルの保存場所 **/
	private String _cifsDlFolder = null;

	/**
	 * 印刷可能時の印刷表題を返します。
	 *
	 * @return 印刷可能時の印刷表題
	 */
	@XmlElement(name = "printSectionTitle")
	public String getPrintSectionTitle() {
		return _printSectionTitle;
	}

	/**
	 * 印刷可能時の印刷表題をセットします。
	 *
	 * @param printSectionTitle 印刷可能時の印刷表題
	 */
	public void setPrintSectionTitle(String printSectionTitle) {
		this._printSectionTitle = printSectionTitle;
	}

	/**
	 * 印刷不可時の印刷表題を返します。
	 *
	 * @return 印刷不可時の印刷表題
	 */
	@XmlElement(name = "nonPrintSectionTitle")
	public String getNonPrintSectionTitle() {
		return _nonPrintSectionTitle;
	}

	/**
	 * 印刷不可時の印刷表題をセットします。
	 *
	 * @param nonPrintSectionTitle 印刷不可時の印刷表題
	 */
	public void setNonPrintSectionTitle(String nonPrintSectionTitle) {
		this._nonPrintSectionTitle = nonPrintSectionTitle;
	}
//
//	/**
//	 * ヘッダーフォーマットを返します。
//	 *
//	 * @return
//	 */
//	public String getHeadMsg() {
//		return headMsg;
//	}
//
//	/**
//	 * ヘッダーフォーマットをセットします。
//	 *
//	 * @param headMsg ヘッダーフォーマット
//	 */
//	@XmlElement(name = "headMsg")
//	public void setHeadMsg(String headMsg) {
//		this.headMsg = headMsg;
//	}

//	/**
//	 * 記事ヘッダーフォーマット（新聞）を返します。
//	 *
//	 * @return articleNwspaperMsg
//	 */
//	public String getArticleNwspaperMsg() {
//		return articleNwspaperMsg;
//	}
//
//	/**
//	 * 記事ヘッダーフォーマット（新聞）をセットします。
//	 *
//	 * @param articleNwspaperMsg 記事ヘッダーフォーマット（新聞）
//	 */
//	@XmlElement(name = "articleNwspaperMsg")
//	public void setArticleNwspaperMsg(String articleNwspaperMsg) {
//		this.articleNwspaperMsg = articleNwspaperMsg;
//	}
//
//	/**
//	 * 記事ヘッダーフォーマット（雑誌）を返します。
//	 *
//	 * @return 記事ヘッダーフォーマット（雑誌）
//	 */
//	public String getArticleMagazineMsg() {
//		return articleMagazineMsg;
//	}
//
//	/**
//	 * 記事ヘッダーフォーマット（雑誌）をセットします。
//	 *
//	 * @param articleMagazineMsg 記事ヘッダーフォーマット（雑誌）
//	 */
//	@XmlElement(name = "articleMagazineMsg")
//	public void setArticleMagazineMsg(String articleMagazineMsg) {
//		this.articleMagazineMsg = articleMagazineMsg;
//	}

	/**
	 * 記事ヘッダーフォーマットを返します。
	 *
	 * @return 記事ヘッダーフォーマット
	 */
	public String getArticleMsg() {
		return _articleMsg;
	}

	/**
	 * 記事ヘッダーフォーマットをセットします。
	 *
	 * @param articleMsg 記事ヘッダーフォーマット
	 */
	@XmlElement(name = "articleMsg")
	public void setArticleNwspaperMsg(String articleMsg) {
		this._articleMsg = articleMsg;
	}

    /**
     * 記事ヘッダーフォーマット(MC)を返します。
     *
     * @return 記事ヘッダーフォーマット(MC)
     */
    public String getArticleMsgMc() {
        return _articleMsgMc;
    }

    /**
     * 記事ヘッダーフォーマット(MC)をセットします。
     *
     * @param articleMsgMc 記事ヘッダーフォーマット(MC)
     */
    @XmlElement(name = "articleMsgMc")
    public void setArticleMsgMc(String articleMsgMc) {
        this._articleMsgMc = articleMsgMc;
    }

    /**
     * フッター最大文字数を返します。
     *
     * @return フッター最大文字数
     */
    public String getFooterMaxSize() {
        return _footerMaxSize;
    }

    /**
     * フッター最大文字数をセットします。
     *
     * @param footerMaxSize フッター最大文字数
     */
    @XmlElement(name = "footerMaxSize")
    public void setFooterMaxSize(String footerMaxSize) {
        this._footerMaxSize = footerMaxSize;
    }

    /**
     * フッター最大文字数(MC)を返します。
     *
     * @return フッター最大文字数(MC)
     */
    public String getFooterMaxSizeMc() {
        return _footerMaxSizeMc;
    }

    /**
     * フッター最大文字数(MC)をセットします。
     *
     * @param footerMaxSizeMc フッター最大文字数(MC)
     */
    @XmlElement(name = "footerMaxSizeMc")
    public void setFooterMaxSizeMc(String footerMaxSizeMc) {
        this._footerMaxSizeMc = footerMaxSizeMc;
    }

	/**
	 * ファイルの保存ディレクトリを返します。
	 *
	 * @return ファイルの保存ディレクトリ
	 */
	public String getImageWorkDir() {
		return _imageWorkDir;
	}

	/**
	 * ファイルの保存ディレクトリをセットします。
	 *
	 * @param imageWorkDir ファイルの保存ディレクトリ
	 */
	@XmlElement(name = "imageWorkDir")
	public void setImageWorkDir(String imageWorkDir) {
		this._imageWorkDir = imageWorkDir;
	}

	/**
	 * FFSのファイル（1年超過）保存ディレクトリを返します。
	 *
	 * @return FFSのファイル（1年超過）保存ディレクトリ
	 */
	public String getCifsFileDir() {
		return _cifsFileDir;
	}

	/**
	 * FFSのファイル（1年超過）保存ディレクトリをセットします。
	 *
	 * @param cifsFileDir FFSのファイル（1年超過）保存ディレクトリ
	 */
	@XmlElement(name = "cifsFileDir")
	public void setCifsFileDir(String cifsFileDir) {
		this._cifsFileDir = cifsFileDir;
	}

	/**
	 * ImageMagicの実行パスを返します。
	 *
	 * @return ImageMagicの実行パス
	 */
	public String getImageMagicPath() {
		return _imageMagicPath;
	}

	/**
	 * ImageMagicの実行パスをセットします。
	 *
	 * @param imageMagicPath imageMagicPathの実行パス
	 */
	@XmlElement(name = "imageMagicPath")
	public void setImageMagicPath(String imageMagicPath) {
		this._imageMagicPath = imageMagicPath;
	}

	/**
	 * qualityを返します。
	 *
	 * @return quality
	 */
	public String getQuality() {
		return _quality;
	}

	/**
	 * qualityをセットします。
	 *
	 * @param quality quality
	 */
	@XmlElement(name = "quality")
	public void setQuality(String quality) {
		this._quality = quality;
	}

	/**
	 * geometryを返します。
	 *
	 * @return geometry
	 */
	public String getGeometry() {
		return _geometry;
	}

	/**
	 * geometryをセットします。
	 *
	 * @param geometry geometry
	 */
	@XmlElement(name = "geometry")
	public void setGeometry(String geometry) {
		this._geometry = geometry;
	}

	/**
	 * jpegQualityを返します。
	 *
	 * @return jpegQuality
	 */
	public String getJpegQuality() {
		return _jpegQuality;
	}

	/**
	 * jpegQualityをセットします。
	 *
	 * @param jpegQuality jpegQuality
	 */
	@XmlElement(name = "jpegQuality")
	public void setJpegQuality(String jpegQuality) {
		this._jpegQuality = jpegQuality;
	}

	/**
	 * jpegGeometryを返します。
	 *
	 * @return jpegGeometry
	 */
	public String getJpegGeometry() {
		return _jpegGeometry;
	}

	/**
	 * jpegGeometryをセットします。
	 *
	 * @param jpegGeometry jpegGeometry
	 */
	@XmlElement(name = "jpegGeometry")
	public void setJpegGeometry(String jpegGeometry) {
		this._jpegGeometry = jpegGeometry;
	}

	/**
	 * フォント名ゴシックを返します。
	 *
	 * @return フォント名ゴシック
	 */
	public String getFontNameGothic() {
		return _fontNameGothic;
	}

	/**
	 * フォント名ゴシックをセットします。
	 *
	 * @param fontNameGothic フォント名ゴシック
	 */
	@XmlElement(name = "fontNameGothic")
	public void setFontNameGothic(String fontNameGothic) {
		this._fontNameGothic = fontNameGothic;
	}

	/**
	 * フォント名明朝を返します。
	 *
	 * @return フォント名明朝
	 */
	public String getFontNameMincho() {
		return _fontNameMincho;
	}

	/**
	 * フォント名明朝をセットします。
	 *
	 * @param fontNameMincho フォント名明朝
	 */
	@XmlElement(name = "fontNameMincho")
	public void setFontNameMincho(String fontNameMincho) {
		this._fontNameMincho = fontNameMincho;
	}

	/**
	 * 指定したファイルがなかった場合に挿入する空頁のパスを返します。
	 *
	 * @return 指定したファイルがなかった場合に挿入する空頁のパス
	 */
	public String getEmptyPdfFilePath() {
		return _emptyPdfFilePath;
	}

	/**
	 * 指定したファイルがなかった場合に挿入する空頁のパスをセットします。
	 *
	 * @param emptyPdfFilePath 指定したファイルがなかった場合に挿入する空頁のパス
	 */
	@XmlElement(name = "emptyPdfFilePath")
	public void setEmptyPdfFilePath(String emptyPdfFilePath) {
		this._emptyPdfFilePath = emptyPdfFilePath;
	}

//	/**
//	 * 無断複製転載禁止文言を返します。
//	 *
//	 * @return 無断複製転載禁止文言
//	 */
//	public String getAllRightsReservedNote() {
//		return allRightsReservedNote;
//	}
//
//	/**
//	 * 無断複製転載禁止文言をセットします。
//	 *
//	 * @param allRightsReservedNote 無断複製転載禁止文言
//	 */
//	@XmlElement(name = "allRightsReservedNote")
//	public void setAllRightsReservedNote(String allRightsReservedNote) {
//		this.allRightsReservedNote = allRightsReservedNote;
//	}

//	/**
//	 * Tiffファイル保存場所を返します。
//	 *
//	 * @return Tiffファイル保存場所
//	 */
//	public String getTifSaveFolder() {
//		return tifSaveFolder;
//	}
//
//	/**
//	 * Tiffファイル保存場所をセットします。
//	 *
//	 * @param tifSaveFolder Tiffファイル保存場所
//	 */
//	@XmlElement(name = "tifSaveFolder")
//	public void setTifSaveFolder(String tifSaveFolder) {
//		this.tifSaveFolder = tifSaveFolder;
//	}
//
//	/**
//	 * PDFファイル保存場所を返します。
//	 *
//	 * @return PDFファイル保存場所
//	 */
//	public String getPdfSaveFolder() {
//		return pdfSaveFolder;
//	}
//
//	/**
//	 * PDFファイル保存場所をセットします。
//	 *
//	 * @param pdfSaveFolder PDFファイル保存場所
//	 */
//	@XmlElement(name = "pdfSaveFolder")
//	public void setPdfSaveFolder(String pdfSaveFolder) {
//		this.pdfSaveFolder = pdfSaveFolder;
//	}
//
//	/**
//	 * サムネイル(JPEG)ファイル保存場所を返します。
//	 *
//	 * @return サムネイル(JPEG)ファイル保存場所
//	 */
//	public String getThumbSaveFolder() {
//		return thumbSaveFolder;
//	}
//
//	/**
//	 * サムネイル(JPEG)ファイル保存場所をセットします。
//	 *
//	 * @param thumbSaveFolder サムネイル(JPEG)ファイル保存場所
//	 */
//	@XmlElement(name = "thumbSaveFolder")
//	public void setThumbSaveFolder(String thumbSaveFolder) {
//		this.thumbSaveFolder = thumbSaveFolder;
//	}

	/**
	 * FFSからダウンロードしたファイルの保存場所を返します。
	 *
	 * @return FFSからダウンロードしたファイルの保存場所
	 */
	public String getCifsDlFolder() {
		return _cifsDlFolder;
	}

	/**
	 * FFSからダウンロードしたファイルの保存場所をセットします。
	 *
	 * @param cifsDlFolder FFSからダウンロードしたファイルの保存場所
	 */
	@XmlElement(name = "cifsDlFolder")
	public void setCifsDlFolder(String cifsDlFolder) {
		this._cifsDlFolder = cifsDlFolder;
	}

}
