package jp.co.isid.elportal.fileconvert.service.convert;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 *
 * 記事原文クラス
 *
 */
@XmlRootElement(namespace = "http://jp.co.isid.elportal.fileconvert.service.convert")
@XmlType(namespace = "http://jp.co.isid.elportal.fileconvert.service.convert")
public class ArticleOrgTextVO {

    /** 印刷日付 */
    private String _printDate = null;

    /** 印刷者ID */
    private String _printUserId = null;

    /** 印刷者 */
    private String _printUser = null;

    /** 記事配列オブジェクト */
    private ArticleVO[] _articles = null;

    /** 記事見出しオブジェクト **/
    private ArticleDataPrintVO _articleDataPrintVo = null;

    /** 注記 */
    private String _noteAll = null;

    /** 保存フラグ */
    private boolean _saveFlg = false;

    /** 印刷フラグ */
    private boolean _canPrint = false;

    /** 複数ページフラグ */
    private boolean _multiPageFlg = false;

    /** 原文出力フラグ **/
    private boolean _orgnFlg = true;

    /** 見出し出力フラグ **/
    private boolean _headlineFlg = false;

    /** DMSID **/
    private String _dmsId = null;

    /** MCユーザID **/
    private String _mcUserId = null;

    /** MCフラグ **/
    private boolean _mcFlg = false;

    /**
     * 印刷日を返します。
     *
     * @return 印刷日
     */
    public String getPrintDate() {
        return _printDate;
    }

    /**
     * 印刷日を設定します。
     *
     * @param printDate 印刷日
     */
    public void setPrintDate(String printDate) {
        this._printDate = printDate;
    }

    /**
     * 印刷者IDを返します。
     *
     * @return 印刷者ID
     */
    public String getPrintUserId() {
        return _printUserId;
    }

    /**
     * 印刷者IDを設定します。
     *
     * @param printUserId 印刷者ID
     */
    public void setPrintUserId(String printUserId) {
        this._printUserId = printUserId;
    }

    /**
     * 印刷者を返します。
     *
     * @return 印刷者
     */
    public String getPrintUser() {
        return _printUser;
    }

    /**
     * 印刷者を設定します。
     *
     * @param printUser 印刷者
     */
    public void setPrintUser(String printUser) {
        this._printUser = printUser;
    }

    /**
     * DMSIDを返します。
     *
     * @return DMSID
     */
    public String getDmsId() {
        return this._dmsId;
    }

    /**
     * DMSIDを設定します。
     *
     * @param dmsId DMSID
     */
    public void setDmsId(String dmsId) {
        this._dmsId = dmsId;
    }

    /**
     * MCユーザIDを返します。
     *
     * @return MCユーザID
     */
    public String getMcUserId() {
        return this._mcUserId;
    }

    /**
     * MCユーザIDを設定します。
     *
     * @param mcUserId MCユーザID
     */
    public void setMcUserId(String mcUserId) {
        this._mcUserId = mcUserId;
    }

    /**
     * 記事オブジェクトを返します。
     *
     * @return 記事オブジェクト
     */
    public ArticleVO[] getArticles() {
        return _articles;
    }

    /**
     * 記事オブジェクトを設定します。
     *
     * @param articles 記事オブジェクト
     */
    public void setArticles(ArticleVO[] articles) {
        this._articles = articles;
    }

    /**
     * 記事見出しオブジェクトを返します。
     *
     * @return 記事見出しオブジェクト
     */
    public ArticleDataPrintVO getArticleDataPrintVO() {
        return _articleDataPrintVo;
    }

    /**
     * 記事見出しオブジェクトを設定します。
     *
     * @param vo 記事見出しオブジェクト
     */
    public void setArticleDataPrintVO(ArticleDataPrintVO vo) {
        this._articleDataPrintVo = vo;
    }

    /**
     * 注記を返します。<br>
     * @deprecated ArticleVOに移行します
     * @return 注記
     */
    public String getNoteAll() {
        return _noteAll;
    }

    /**
     * 注記を設定します。
     * @deprecated ArticleVOに移行します
     * @param noteAll 注記
     */
    public void setNoteAll(String noteAll) {
        this._noteAll = noteAll;
    }

    /**
     * 保存可能を判定します。<br>
     *
     * @return 保存可能か否か
     */
    public boolean getSaveFlg() {
        return _saveFlg;
    }

    /**
     * 保存フラグを設定します。
     *
     * @param saveFlg 保存フラグ
     */
    public void setSaveFlg(boolean saveFlg) {
        this._saveFlg = saveFlg;
    }

    /**
     * 印刷可能か判定します。<br>
     *
     * @return 印刷可能か否か
     */
    public boolean getCanPrint() {
        return _canPrint;
    }

    /**
     * 印刷可能フラグを設定します。
     *
     * @param canPrint 印刷可能フラグ
     */
    public void setCanPrint(boolean canPrint) {
        this._canPrint = canPrint;
    }

    /**
     * 複数ページか判定します。<br>
     *
     * @return 保存可能か否か
     */
    public boolean getMultiPageFlg() {
        return _multiPageFlg;
    }

    /**
     * 複数ページフラグを設定します。
     *
     * @param multiPageFlg 複数ページフラグ
     */
    public void setMultiPageFlg(boolean multiPageFlg) {
        this._multiPageFlg = multiPageFlg;
    }

    /**
     * 原文出力フラグを返します。
     *
     * @return boolean 原文出力フラグ
     */
    public boolean getOrgnFlg() {
        return this._orgnFlg;
    }

    /**
     * 原文出力フラグを設定します。
     *
     * @param orgnFlg 原文出力フラグ
     */
    public void setOrgnFlg(boolean orgnFlg) {
        this._orgnFlg = orgnFlg;
    }

    /**
     * 見出し出力フラグを返します。
     *
     * @return boolean 見出し出力フラグ
     */
    public boolean getHeadlineFlg() {
        return this._headlineFlg;
    }

    /**
     * 見出し出力フラグを設定します。
     *
     * @param headlineFlg 見出し出力フラグ
     */
    public void setHeadlineFlg(boolean headlineFlg) {
        this._headlineFlg = headlineFlg;
    }

    /**
     * MCフラグを返します。
     *
     * @return boolean MCフラグ
     */
    public boolean getMcFlg() {
        return this._mcFlg;
    }

    /**
     * MCフラグを設定します。
     *
     * @param mcFlg MCフラグ
     */
    public void setMcFlg(boolean mcFlg) {
        this._mcFlg = mcFlg;
    }

}
