package jp.co.isid.elportal.fileconvert.service.convert;

import javax.activation.DataHandler;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 *
 * 変換されたPDFファイル(DataHandler)と変換結果（成否）配列を保持したクラス
 *
 *
 */
@XmlRootElement(namespace = "http://jp.co.isid.elportal.fileconvert.service.convert")
@XmlType(namespace = "http://jp.co.isid.elportal.fileconvert.service.convert")
public class ConvertPDFVO {


    /** 変換されたPdfファイル(DataHandler) */
    private DataHandler _convertPdf = null;

    /** 変換結果（成否）配列 */
    private String[] _convertResult = null;

    /** 見出し印刷したAC番号の配列 **/
    private String[] _acnoArray = null;

    /**
     * 変換されたPDFファイルを返します。
     *
     * @return PDFファイル
     */
    public DataHandler getConvertPdf() {
        return _convertPdf;
    }

    /**
     * 変換されたPDFファイルをセットします。
     *
     * @param convertPdf PDFファイル
     */

    public void setConvertPdf(DataHandler convertPdf) {
        this._convertPdf = convertPdf;
    }

    /**
     * ファイルの存在有無が格納されています。<br>
     * 存在："EXIST"、存在しなかった："NOTEXIST"
     *
     * @return ファイルの存在有無の配列
     */
    public String[] getConvertResult() {
        return _convertResult;
    }

    /**
     * ファイルの存在有無がセットします。<br>
     * 存在："EXIST"、存在しなかった："NOTEXIST"

     * @param convertResult ファイルの存在有無の配列
     */
    public void setConvertResult(String[] convertResult) {
        this._convertResult = convertResult;
    }

    /**
     * 見出し出力されたAC番号の配列を返却します
     *
     * @return String[] 見出し出力されたAC番号の配列
     */
    public String[] getOutputAcnoArray() {
        return this._acnoArray;
    }

    /**
     * 見出し出力されたAC番号の配列をセットします
     *
     * @param args 見出し出力されたAC番号の配列
     */
    public void setOutputAcnoArray(String[] args) {
        this._acnoArray = args;
    }

}
