package jp.co.isid.elportal.fileconvert.util;

import java.io.Closeable;
import java.io.IOException;

import jp.co.isid.elportal.base.log.Logger;

//import org.apache.commons.logging.Log;
//import org.apache.commons.logging.LogFactory;

/**
 *
 * リソースのクローズ処理を行うユーティリティクラスです。
 *
 */
public final class IOUtil {

//	/** logger */
//	private static final Log LOG = LogFactory.getLog(IOUtil.class);

	/**
	 * ユーティリティクラスの為、インスタンス生成禁止。
	 */
	private IOUtil() {
	}

	/**
	 * Closeableオブジェクトのclose処理を行います。
	 *
	 * @param closeable close対象のCloseableオブジェクト
	 */
	public static void close(Closeable closeable) {
		if (closeable != null) {
			try {
				closeable.close();
			} catch (IOException e) {
				//LOG.warn(e);
				Logger.error("クローズ処理に失敗しました。");

			}
		}
	}
}
