package jp.co.isid.elportal.fileconvert.util;


/**
 *
 * 文字列に関するユーティリティクラス。
 *
 */
public final class StringUtil {


	/**
	 * ユーティリティクラスのためインスタンス化を禁止します。
	 */
	private StringUtil() {
	}


	/**
	 * 文字列 s がブランクかどうかを判定します。
	 * ブランクの定義は下記の通りです。
	 * (1) s が null である。
	 * (2) s を trim した文字列の長さが 0 である。
	 *
	 * @param s 文字列
	 * @return ブランクならば true
	 */
	public static boolean isBlank(String s) {
		if (s == null) {
			return true;
		} else {
			return s.trim().length() == 0;
		}
	}

	/**
	 * チェック対象文字列が半角英数字のみで構成されているかどうかを返します。
	 *
	 * @param str チェック対象文字列
	 * @return true:半角英数字のみ/false:半角英数字以外が含まれている
	 */
	public static boolean haldCharCheck(String str) {
		if (!str.matches("[0-9a-zA-Z]+")) {
			return false;
		}
		return true;
	}

	/**
	 * 文字列のLengthを返却します
	 *
	 * @param s 文字列
	 * @return int Length
	 */
	public static int length(String s) {
	    if (s == null) {
	        return 0;
	    }

	    return s.length();
	}
}
